Skip to content

Trigger manual detailed messages fetch

POST
/api/v1/social_messages/fetch_inbox

Queue a task to fetch detailed messages for a specific friend.

FetchMessagesRequest
object
agent_id
required
Agent Id

Agent ID

string
friend_nickname
required
Friend Nickname

Friend nickname

string

Successful Response

SocialOperationResponse
object
status
required
Status
string
Allowed values: success fail
message
required
Message
string

Bad Request

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string

Agent or Social Account not found

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string
Example
{
"error": "Agent or Social Account not found",
"error_code": "not_found"
}

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string

Internal Server Error

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string